;===========================================================================
; Colossus's CMD File, Written By Koga and Blackjack...
;===========================================================================
;/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\_Commands_/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
;===========================================================================
; Super Motions
;===========================================================================
[Command]
name = "Super_Armor"
command = ~D, DB, B, x+y 
time = 20

[Command]
name = "Super_Armor"
command = ~D, DB, B, x+z 
time = 20

[Command]
name = "Super_Armor"
command = ~D, DB, B, y+z 
time = 20

[Command]
name = "Super_Dive"
command = ~D, DF, F, x+y 
time = 20

[Command]
name = "Super_Dive"
command = ~D, DF, F, x+z 
time = 20

[Command]
name = "Super_Dive"
command = ~D, DF F, y+z 
time = 20

;===========================================================================
; Special Motions
;===========================================================================
[Command]
name = "Pile_Driver_x"
command = ~D, DF, F, x

[Command]
name = "Pile_Driver_y"
command = ~D, DF, F, y

[Command]
name = "Pile_Driver_z"
command = ~D, DF, F, z

[Command]
name = "Shoulder_Charge_a"
command = ~D, DF, F, a

[Command]
name = "Shoulder_Charge_b"
command = ~D, DF, F, b

[Command]
name = "Shoulder_Charge_c"
command = ~D, DF, F, c

[Command]
name = "fwd_z"
command = F, z 

[Command]
name = "fwd_ab"
command = F, a+b

[Command]
name = "back_ab"
command = B, a+b

[Command]
name = "back_b"
command = B, b

[Command]
name = "fwd_b"
command = F, b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

[Command]
name = "U"
command = U

;===========================================================================
; Double Tap Motions
;===========================================================================
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;===========================================================================
; 2/3 button combinations
;===========================================================================
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;===========================================================================
; Directions + Buttons
;===========================================================================
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;===========================================================================
; Singular Buttons
;===========================================================================
[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "start"
command = s
time = 1

;===========================================================================
; Hold Direction
;===========================================================================
[Command]
name = "DU"
command = D, U
time = 10

[Command]
name = "UF"
command = UF
time = 1

[Command]
name = "UB"
command = UB
time = 1

[Command]
name = "DUF"
command = D, UF
time = 10

[Command]
name = "DUB"
command = D, UB
time = 10

[Command]
name = "up"
command = U
time = 1
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\|State Entry|/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
[Statedef -1]
;===========================================================================
; Supers
;===========================================================================
;---------------------------------------------------------------------------
; Super Armor
[State -1, Super Armor]
type = ChangeState
value = 1060
triggerall = ((power >= 1000) && (command = "Super_Armor") && (var(30) = 0))
trigger1 = ((statetype != A) && (ctrl = 1))

;---------------------------------------------------------------------------
; Super Dive 
[State -1, Super Dive]
type = ChangeState
value = 3100
triggerall = ((power >= 1000) && (command = "Super_Dive"))
trigger1 = ((statetype != A) && (ctrl = 1))

;===========================================================================
; Specials
;===========================================================================
;---------------------------------------------------------------------------
; Pile Driver Grab (X)
[State -1, Pile Driver X]
type = Changestate
value = 1600
triggerall = ((Statetype = S) && (command = "Pile_Driver_x"))
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Pile Driver Grab (Y)
[State -1, Pile Driver Y]
type = Changestate
value = 1600
triggerall = ((Statetype = S) && (command = "Pile_Driver_y"))
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Pile Driver Grab (Z)
[State -1, Pile Driver Z]
type = Changestate
value = 1600
triggerall = ((Statetype = S) && (command = "Pile_Driver_z"))
trigger1 = ctrl = 1

;------------------------------------------------------------------
; Shoulder Charge (A)
[State -1, Shoulder Charge A]
type = ChangeState
value = 3000
triggerall = ((command = "Shoulder_Charge_a") && (command != "holddown"))
trigger1 = ((statetype = S) && (ctrl = 1))

;---------------------------------------------------------------------------
; Shoulder Charge (B)
[State -1, Shoulder Charge B]
type = ChangeState
value = 2030
triggerall = ((command = "Shoulder_Charge_b") && (command != "holddown"))
trigger1 = ((statetype = S) && (ctrl = 1))

;---------------------------------------------------------------------------
; Shoulder Charge (C)
[State -1, Shoulder Charge C]
type = ChangeState
value = 2040
triggerall = ((command = "Shoulder_Charge_c") && (command != "holddown"))
trigger1 = ((statetype = S) && (ctrl = 1))

;===========================================================================
; Basics
;===========================================================================
;---------------------------------------------------------------------------
; Close Throw
[State -1, Throw]
type = ChangeState
value = 900
triggerall = ((command = "z") && (statetype = S) && (ctrl = 1) && (stateno != 100))
trigger1 = ((command = "holdfwd") && (p2bodydist X < 4) && (p2statetype = S) || (p2statetype = C) && (p2movetype != H))
trigger2 = ((command = "holdback") && (p2bodydist X < 6) && (p2statetype = S) || (p2statetype = C) && (p2movetype != H))

;---------------------------------------------------------------------------
; RunFwd
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = ((command = "FF") && (statetype = S) && (ctrl = 1))

;---------------------------------------------------------------------------
; Hop Back
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = ((command = "BB") && (statetype = S) && (ctrl = 1))

;---------------------------------------------------------------------------
; Super Jump
[State -1, Super Jump]
trigger1 = ((command = "DU") && (Statetype != A)) || ((Command = "U") && (Stateno = [400,412]))
type = ChangeState
value = 41

;---------------------------------------------------------------------------
; Stand X
[State -1, Stand X]
type = ChangeState
value = 200
triggerall = ((command = "x") && (command != "holddown"))
trigger1 = ((statetype = S) && (ctrl = 1)) || ((stateno = 210) && (movecontact = 1))

;---------------------------------------------------------------------------
; Stand Y
[State -1, Stand Y]
type = ChangeState
value = 201
triggerall = ((command = "y") && (command != "holddown"))
trigger1 = ((statetype = S) && (ctrl = 1)) || ((stateno = 200) && (movecontact = 1)) || ((stateno = 210) && (movecontact = 1)) || ((stateno = 211) && (movecontact = 1)) 

;---------------------------------------------------------------------------
; Stand Z (W/ Fwd)
[State -1, Stand Z 1]
type = ChangeState
value = 260
triggerall = ((command = "fwd_z") && (command != "holddown"))
trigger1 = ((statetype = S && ctrl = 1)) || ((stateno = [200,212]) && (movecontact = 1)) 
;---------------------------------------------------------------------------
; Stand Z
[State -1, Stand Z 2]
type = ChangeState
value = 202
triggerall = ((command = "z") && (command != "holddown"))
trigger1 = ((statetype = S && ctrl = 1)) || ((stateno = [200,212]) && (movecontact = 1)) 

;---------------------------------------------------------------------------
; Stand A
[State -1, Stand A]
type = ChangeState
value = 210
triggerall = ((command = "a") && (command != "holddown"))
trigger1 = ((statetype = S) && (ctrl = 1)) || ((stateno = 200) && (movecontact = 1))

;---------------------------------------------------------------------------
; Stand B
[State -1, Stand B]
type = ChangeState
value = 211
triggerall = ((command = "b") && (command != "holddown"))
trigger1 = ((statetype = S) && (ctrl = 1)) || ((stateno = [201, 210]) && (movecontact = 1))

;---------------------------------------------------------------------------
; Stand C
[State -1, Stand C]
type = ChangeState
value = 212
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = ((statetype = S) && (ctrl = 1)) || ((stateno = [201,211]) && (movecontact = 1))

;---------------------------------------------------------------------------
; Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = ((statetype != A) && (ctrl = 1))

;---------------------------------------------------------------------------
; Crouch X
[State -1, Crouch X]
type = ChangeState
value = 400
triggerall = ((command = "x") && (command = "holddown"))
trigger1 = ((statetype = C) && (ctrl = 1)) || ((stateno = 410) && (movecontact = 1))
 
;---------------------------------------------------------------------------
; Crouch Y
[State -1, Crouch Y]
type = ChangeState
value = 401
triggerall = ((command = "y") && (command = "holddown"))
trigger1 = ((statetype = C) && (ctrl = 1)) || ((stateno = 400) && (movecontact = 1))|| ((stateno = 410) && (movecontact = 1)) || ((stateno = 411) && (movecontact = 1))  

;---------------------------------------------------------------------------
; Crouch Z
[State -1, Crouch Z]
type = ChangeState
value = 402
triggerall = ((command = "z") && (command = "holddown"))
trigger1 = ((statetype = C) && (ctrl = 1)) || ((stateno = [400,401]) && (movecontact = 1))|| ((stateno = [410,411]) && (movecontact = 1)) 

;---------------------------------------------------------------------------
; Crouch A
[State -1, Crouch A]
type = ChangeState
value = 410
triggerall = ((command = "a") && (command = "holddown"))
trigger1 = ((statetype = C) && (ctrl = 1)) || ((stateno = 400) && (movecontact = 1))

;---------------------------------------------------------------------------
; Crouch B
[State -1, Crouch B]
type = ChangeState
value = 411
triggerall = ((command = "b") && (command = "holddown"))
trigger1 = ((statetype = C) && (ctrl = 1)) || ((stateno = 410) && (movecontact = 1)) || ((stateno = [400,401]) && (movecontact = 1))  

;---------------------------------------------------------------------------
; Crouch C
[State -1, Crouch C]
type = ChangeState
value = 412
triggerall = ((command = "c") && (command = "holddown"))
trigger1 = ((statetype = C) && (ctrl = 1))|| ((stateno = 400) && (movecontact = 1))|| ((stateno = [410,411]) && (movecontact = 1))|| ((stateno = [401,402]) && (movecontact = 1))

;---------------------------------------------------------------------------
; Jump X
[State -1, Jump X]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = ((statetype = A) && (ctrl = 1)) || ((stateno = [601,612]) && (movecontact = 1))

;---------------------------------------------------------------------------
; Jump Y
[State -1, Jump Y]
type = ChangeState
value = 601
triggerall = command = "y"
trigger1 = ((statetype = A) && (ctrl = 1)) || ((stateno = [601,612]) && (movecontact = 1)) 

;---------------------------------------------------------------------------
; Jump Z
[State -1, Jump Z]
type = ChangeState
value = 602
triggerall = command = "z"
trigger1 = ((statetype = A) && (ctrl = 1)) || ((stateno = [601,612]) && (movecontact = 1)) 

;---------------------------------------------------------------------------
; Jump A
[State -1, Jump A]
type = ChangeState
value = 610
triggerall = command = "a"
trigger1 = ((statetype = A) && (ctrl = 1)) || ((stateno = [601,612]) && (movecontact = 1)) 

;---------------------------------------------------------------------------
; Jump B
[State -1, Jump B]
type = ChangeState
value = 611
triggerall = command = "b"
trigger1 = ((statetype = A) && (ctrl = 1)) || ((stateno = [601,612]) && (movecontact = 1)) 

;---------------------------------------------------------------------------
; Jump C
[State -1, Jump C]
type = ChangeState
value = 612
triggerall = command = "c"
trigger1 = ((statetype = A) && (ctrl = 1)) || ((stateno = [601,612]) && (movecontact = 1)) 

